## libgnuinet-java 0.0.cvs20031116

=== Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Makefile.am for GNU classpath inetlib.


SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/inetlib
pkglibdir = $(libdir)/inetlib
pkgincludedir = $(includedir)/inetlib

top_builddir = .

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = 
build_triplet = @build@
host_alias = 
host_triplet = @host@
target_alias = 
target_triplet = @target@
CC = @CC@
CPP = @CPP@
EXEEXT = @EXEEXT@
HAVE_LIB = @HAVE_LIB@
JAR = jar
JAVA = @JAVA@
JAVADOC = @JAVADOC@
JAVAFLAGS = @JAVAFLAGS@
JAVAH = @JAVAH@
JAVAPREFIX = @JAVAPREFIX@
JAVA_JUNIT = @JAVA_JUNIT@
JUNIT = @JUNIT@
LIB = @LIB@
LTLIB = @LTLIB@
MAKEINFO = makeinfo
PACKAGE = inetlib
TESTS_JUNIT = @TESTS_JUNIT@
VERSION = 0.1
uudecode = @uudecode@

JAVAC = gcj -C
#JAVACFLAGS = @JAVACFLAGS@
JAVACFLAGS = -g

src = source
dst = classes

inetlib_jar = 1

# Utility and helper classes for the clients.
util_sources =  $(src)/gnu/inet/util/BASE64.java $(src)/gnu/inet/util/CRLFInputStream.java $(src)/gnu/inet/util/CRLFOutputStream.java $(src)/gnu/inet/util/LineInputStream.java $(src)/gnu/inet/util/Logger.java $(src)/gnu/inet/util/MessageInputStream.java $(src)/gnu/inet/util/MessageOutputStream.java $(src)/gnu/inet/util/SaslCallbackHandler.java $(src)/gnu/inet/util/SaslInputStream.java $(src)/gnu/inet/util/SaslOutputStream.java $(src)/gnu/inet/util/StderrLogger.java


# The SMTP client
smtp_sources =  $(src)/gnu/inet/smtp/Parameter.java $(src)/gnu/inet/smtp/ParameterList.java $(src)/gnu/inet/smtp/SMTPConnection.java


# The IMAP client
imap_sources =  $(src)/gnu/inet/imap/IMAPConnection.java $(src)/gnu/inet/imap/IMAPConstants.java $(src)/gnu/inet/imap/IMAPException.java $(src)/gnu/inet/imap/IMAPResponse.java $(src)/gnu/inet/imap/IMAPResponseTokenizer.java $(src)/gnu/inet/imap/ListEntry.java $(src)/gnu/inet/imap/MailboxStatus.java $(src)/gnu/inet/imap/MessageStatus.java $(src)/gnu/inet/imap/Pair.java $(src)/gnu/inet/imap/UTF7imap.java


# The POP3 client
pop3_sources =  $(src)/gnu/inet/pop3/POP3Connection.java


# The NNTP client
nntp_sources =  $(src)/gnu/inet/nntp/ActiveTime.java $(src)/gnu/inet/nntp/ActiveTimesIterator.java $(src)/gnu/inet/nntp/ArticleNumberIterator.java $(src)/gnu/inet/nntp/ArticleResponse.java $(src)/gnu/inet/nntp/ArticleStream.java $(src)/gnu/inet/nntp/FileNewsrc.java $(src)/gnu/inet/nntp/GroupIterator.java $(src)/gnu/inet/nntp/Group.java $(src)/gnu/inet/nntp/GroupResponse.java $(src)/gnu/inet/nntp/HeaderEntry.java $(src)/gnu/inet/nntp/HeaderIterator.java $(src)/gnu/inet/nntp/LineIterator.java $(src)/gnu/inet/nntp/Newsrc.java $(src)/gnu/inet/nntp/NNTPConnection.java $(src)/gnu/inet/nntp/NNTPConstants.java $(src)/gnu/inet/nntp/NNTPException.java $(src)/gnu/inet/nntp/OverviewIterator.java $(src)/gnu/inet/nntp/Overview.java $(src)/gnu/inet/nntp/PairIterator.java $(src)/gnu/inet/nntp/Pair.java $(src)/gnu/inet/nntp/PendingData.java $(src)/gnu/inet/nntp/PostStream.java $(src)/gnu/inet/nntp/Range.java $(src)/gnu/inet/nntp/StatusResponse.java


# The FTP client.
ftp_sources =  $(src)/gnu/inet/ftp/ActiveModeDTP.java $(src)/gnu/inet/ftp/BlockInputStream.java $(src)/gnu/inet/ftp/BlockOutputStream.java $(src)/gnu/inet/ftp/CompressedInputStream.java $(src)/gnu/inet/ftp/CompressedOutputStream.java $(src)/gnu/inet/ftp/DTPInputStream.java $(src)/gnu/inet/ftp/DTP.java $(src)/gnu/inet/ftp/DTPOutputStream.java $(src)/gnu/inet/ftp/FTPConnection.java $(src)/gnu/inet/ftp/FTPException.java $(src)/gnu/inet/ftp/FTPResponse.java $(src)/gnu/inet/ftp/FTPURLConnection.java $(src)/gnu/inet/ftp/FTPURLStreamHandler.java $(src)/gnu/inet/ftp/PassiveModeDTP.java $(src)/gnu/inet/ftp/StreamInputStream.java $(src)/gnu/inet/ftp/StreamOutputStream.java


# The Gopher client.
gopher_sources =  $(src)/gnu/inet/gopher/DirectoryEntry.java $(src)/gnu/inet/gopher/DirectoryListing.java $(src)/gnu/inet/gopher/GopherConnection.java $(src)/gnu/inet/gopher/GopherContentHandler.java $(src)/gnu/inet/gopher/GopherURLConnection.java $(src)/gnu/inet/gopher/GopherURLStreamHandler.java


# Targets
BUILT_SOURCES = inetlib_jar
#BUILT_SOURCES = smtp imap pop3 nntp ftp gopher

INETLIB_CLASSPATH = $(dst):$(src):lib/jsse.jar:lib/javax-security.jar
META_INF = $(dst)/META-INF
META_INF_FILES = $(META_INF)/COPYING

util_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(util_sources))
smtp_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(smtp_sources))
imap_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(imap_sources))
pop3_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(pop3_sources))
nntp_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(nntp_sources))
ftp_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(ftp_sources))
gopher_classes = $(patsubst $(src)/%.java, $(dst)/%.class, $(gopher_sources))
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
DIST_COMMON =  README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS acinclude.m4 aclocal.m4 config.guess config.sub \
configure configure.ac install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.ac  acinclude.m4
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)
tags: TAGS
TAGS:


distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am clean-local

clean: clean-am

distclean-am:  distclean-generic clean-am distclean-local

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


  smtp_jar = smtp.jar
#	smtp_jar =

  imap_jar = imap.jar
#  imap_jar =

  pop3_jar = pop3.jar
#  pop3_jar =

  nntp_jar = nntp.jar
#  nntp_jar =

  ftp_jar = ftp.jar
#  ftp_jar =

  gopher_jar = gopher.jar
#  gopher_jar =

# Targets...

# Jar

inetlib_jar: $(inetlib_jar)

$(inetlib_jar): meta-inf smtp imap pop3 nntp ftp gopher
	$(JAR) cf inetlib.jar -C $(dst) META-INF -C $(dst) gnu

meta-inf: $(META_INF_FILES)

$(META_INF)/COPYING: COPYING
	mkdir -p $(META_INF)
	cp COPYING $(META_INF)/

# Compilation

util: $(util_classes)

$(util_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

smtp: util $(smtp_classes)

$(smtp_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

imap: util $(imap_classes)

$(imap_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

pop3: util $(pop3_classes)

$(pop3_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

nntp: util $(nntp_classes)

$(nntp_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

ftp: util $(ftp_classes)

$(ftp_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

gopher: $(gopher_classes)

$(gopher_classes): $(dst)/%.class: $(src)/%.java
	$(JAVAC) $(JAVACFLAGS) -classpath $(INETLIB_CLASSPATH) -d $(dst) $<

clean-local:
	rm $(META_INF_FILES)
	rmdir $(META_INF)
	find $(dst) -name '*.class' -exec rm -f '{}' ';'

## libgnuinet-java 1.1.2

=== debian/changelog ===
libgnuinet-java (1.1.2-2build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 11:43:02 +0100

libgnuinet-java (1.1.2-2) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Add a patch to revert some changes in upstream version 1.1.2 that breaks
    other packages. (Closes: #641130)
  * Switch to debhelper level 7.
  * Update Standards-Version: 3.9.2.

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Sep 2011 18:45:30 +0200

libgnuinet-java (1.1.2-1) unstable; urgency=low

  * Team upload

  [ Niels Thykier ]
  * Added Vcs-* fields.

  [ Torsten Werner ]
  * New upstream release. Add the old (but patched) build.xml to debian/
    because it is missing in the new upstream tarball.
  * Remove Arnaud from Uploaders list.
  * Remove Java runtime from Depends.

 -- Torsten Werner <twerner@debian.org>  Mon, 08 Aug 2011 14:00:39 +0200

libgnuinet-java (1.1.1-4) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.
  * Set java source version to 1.4.

  [ Onkar Shinde ]
  * Other misc fixes.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 19 Nov 2009 20:13:15 +0530

libgnuinet-java (1.1.1-3) unstable; urgency=low

  * Move to unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 10 Jun 2007 14:34:33 -0100

libgnuinet-java (1.1.1-2) experimental; urgency=low

  * Upload to experimental.
  * Moved cdbs and debhelper from Build-Depends-Indep to Build-Depends.
  * Removed Build-Depends on libgnucrypto-java and libjessie-java.
  * Build-Depends-Indep on java-gcj-compat-dev instead of kaffe and jikes
  * Removed Depends on libgnucrypto-java, libjessie-java, j2re1.4 and j2re1.5.
  * Replaces Depends on gij, kaffe and sable with java-gcj-compat.
  * Removed debian/ant.properties.
  * Builde with gcj in debian/rules.
  * Added myself to Uploaders and remove Wolfgang Baer.
  * Updated Standard-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Thu,  8 Feb 2007 17:24:08 +0100

libgnuinet-java (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Removed section about library in contrib from README.Debian
  * libant1.6-java to ant transition
  * Corrected current download location in debian/copyright
  * Relaxed dependency on libjessie-java for JDK > 1.4 (closes: #327223)
  * Removed constructor patch - not needed with new gnumail upstream
  * Removed debian/install file and install in debian/rules as
    versioned jar with non-version symlink to comply with java-policy
  * Updated FSF adress
  * Registered API doc with doc-base
  * Standards-Version 3.6.2 (no changes)
  * Added myself as uploader

  * Upload sponsored by Petter Reinholdtsen

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 10 Sep 2005 16:35:34 +0200

libgnuinet-java (1.1-3) unstable; urgency=low

  * built with kaffe
  * generate the javadoc

 -- Arnaud Vandyck <avdyk@debian.org>  Thu,  3 Mar 2005 00:05:44 +0100

libgnuinet-java (1.1-2) unstable; urgency=low

  * NNTPConnection patch for compatibility with inet-1.0 (closes:
    #276139).

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 12 Oct 2004 16:12:29 +0200

libgnuinet-java (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch: added

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 11 Oct 2004 11:57:19 +0200

libgnuinet-java (1.0-1) unstable; urgency=low

  * New upstream release (closes: #254447).
  * now build with sablevm and libant1.6-java.
  * no more patch needed

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 13 Jul 2004 23:10:20 +0200

libgnuinet-java (0.0.cvs20031116-4) unstable; urgency=low

  * added gij and sablevm as alternative Java Virtual machines.

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 14 Apr 2004 12:42:10 +0200

libgnuinet-java (0.0.cvs20031116-3) unstable; urgency=low

  * added dpatch build-dependency, thanks to Frank Lichtenheld (closes:
    #241960).

 -- Arnaud Vandyck <avdyk@debian.org>  Sun,  4 Apr 2004 19:30:53 +0200

libgnuinet-java (0.0.cvs20031116-2) unstable; urgency=low

  * debian/rules: now build with kaffe (1:1.1.3) so it can go back in main
  * debian/control:
    - removed j2sdk from the build-depends-indep
    - back to main!

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 10 Jan 2004 17:57:14 +0100

libgnuinet-java (0.0.cvs20031116-1) unstable; urgency=low

  * Initial Release (closes: #221090).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Dec 2003 14:55:54 +0100

=== debian/control ===
Source: libgnuinet-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>
Build-Depends-Indep: default-jdk, ant
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.8)
Standards-Version: 3.9.2
Homepage: http://savannah.gnu.org/projects/classpath
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgnuinet-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgnuinet-java

Package: libgnuinet-java
Architecture: all
Depends: ${misc:Depends}
Description: extension library to provide extra network protocol support
 GNU Classpath inetlib is an extension library to provide extra network
 protocol support for GNU Classpath and ClasspathX project, but it can
 also used standalone to make adding http, imap, pop3 and smtp client
 support to applictions.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_BUILD_TARGET := inetlib.jar doc
DEB_ANT_ARGS         := -Dant.build.javac.source=1.4

LIBRARY=gnuinet
VERSION=$(DEB_UPSTREAM_VERSION)

clean:: 
	-rm inetlib.jar

install/libgnuinet-java::
	install -m 644 inetlib.jar debian/libgnuinet-java/usr/share/java/inetlib-$(VERSION).jar
	ln -s inetlib-$(VERSION).jar debian/libgnuinet-java/usr/share/java/inetlib.jar

=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/classpath/inetlib-(.*)\.tar\.gz debian uupdate
